
function Stick1a(contid, objprop, title, refreshtime, measure){        
  this.title = title;
  this.measure = measure;
  
  this.title_font = 'bold 16px Tahoma';
  this.value_font = 'bold 24px Tahoma';
  this.color = 'white';
  this.background = 'rgba(100,160,230,1)';
  
  if (this.measure == '') {
    this.measure = '°';
  }  
  
  this.contid = contid;
  this.objprop = objprop;
  this.refreshtime = refreshtime;
  
  this.redraw = function(data){   
	// Options        
    var d=data.split('|');
    var val=d[0];
    var valupdated=d[1];  

    if (val != ''){
      val = Number(val).toFixed(2);
    }
   
    // Rect
    this.context.fillStyle = this.background;
    this.context.fillRoundedRect(0, 0, 100, 100, 10);

    // Div
    this.context.strokeStyle = this.color;
    this.context.lineWidth = 2, 
    this.context.moveTo(10,60);
    this.context.lineTo(90,60);
    this.context.stroke();

	this.context.textAlign = "center";  
	this.context.fillStyle = this.color;  

    // Value  	
    if (val != ''){    
      this.elem.title = valupdated;
      this.context.font = this.value_font;
      this.context.fillText(val+this.measure, 50, 40, 80);
    }

    // Title
    this.context.font = this.title_font;
    this.context.fillText(this.title, 50, 85, 80); 
  } 
  
  this.init( );
}

Stick1a.prototype = new s2_object();