
function Stick1b(contid, objprop, title, refreshtime, measure){        
  this.title = title;
  this.measure = measure;
  
  this.title_font = 'bold 10px Tahoma';
  this.value_font = 'bold 14px Tahoma';
  this.color = 'white';
  this.background = 'rgba(100,160,230,1)';
  
  if (this.measure == '') {
    this.measure = '°';
  }  
  
  this.contid = contid;
  this.objprop = objprop;
  this.refreshtime = refreshtime;
  
  this.redraw = function(data){   
	// Options        
    var d=data.split('|');
    var val=d[0];
    var valupdated=d[1];  

    if (val != ''){
      val = Number(val).toFixed(2);
    }
   
    // Rect
    this.context.fillStyle = this.background;
    this.context.fillRoundedRect(0, 0, 60, 60, 10);

    // Div
    this.context.strokeStyle = this.color;
    this.context.lineWidth = 2, 
    this.context.moveTo(8,35);
    this.context.lineTo(52,35);
    this.context.stroke();

	this.context.textAlign = "center";  
	this.context.fillStyle = this.color;  

    // Value  	
    if (val != ''){    
      this.elem.title = valupdated;
      this.context.font = this.value_font;
      this.context.fillText(val+this.measure, 30, 25, 55);
    }

    // Title
    this.context.font = this.title_font;
    this.context.fillText(this.title, 30, 50, 55); 

  } 
  
  this.init( );
}

Stick1b.prototype = new s2_object();