
function cloud1c(contid, objprop, title, refreshtime, measure){        
  this.title = title;
  this.measure = measure;
  
  this.title_font = 'bold 8px Tahoma';
  this.value_font = 'bold 12px Tahoma';
  this.color = 'white';
  this.color2 = 'rgba(120,120,120,1)';
  this.background = 'rgba(100,160,230,1)';
  
  if (this.measure == '') {
    this.measure = '°';
  }  
  
  this.contid = contid;
  this.objprop = objprop;
  this.refreshtime = refreshtime;
  
  this.redraw = function(data){   
	// Options        
    var d=data.split('|');
    var val=d[0];
    var valupdated=d[1];  

    if (val != ''){
      val = Number(val).toFixed(2);
    }
   
    // Rect
    this.context.fillStyle = this.background;
    this.context.fillRoundedRect(0, 30, 50, 20, 10);

	this.context.textAlign = "center";  
	this.context.fillStyle = this.color2;  

    // Value  	
    if (val != ''){    
      this.elem.title = valupdated;
      this.context.font = this.value_font;
      this.context.fillText(val+this.measure, 25, 20, 45);
    }

    // Title
    this.context.font = this.title_font;
	this.context.fillStyle = this.color; 
    this.context.fillText(this.title, 25, 42, 45);
  } 
  
  this.init( );
}

cloud1c.prototype = new s2_object();